# Class JTextComponent.KeyBinding

java.lang.Object
javax.swing.text.JTextComponent.KeyBinding

Enclosing class:
  `JTextComponent`

public static class JTextComponent.KeyBinding extends Object
Binding record for creating key bindings.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `actionName`
  The name of the action for the key.
  `KeyStroke`
  `key`
  The key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyBinding(KeyStroke key, String actionName)`
  Creates a new key binding.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### key

    public KeyStroke key
    The key.

  - ### actionName

    public String actionName
    The name of the action for the key.

- ## Constructor Details

  - ### KeyBinding

    public KeyBinding(KeyStroke key, String actionName)
    Creates a new key binding.
    Parameters:
      `key` - the key
      `actionName` - the name of the action for the key